## START: Set by rpmautospec
## (rpmautospec version 0.3.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    guile-gnutls
Version: 3.7.11
Release: %{?autorelease}%{!?autorelease:1%{?dist}}
Summary: Guile bindings for the GNUTLS library

License: GPLv3+ and LGPLv2+
URL:     https://gitlab.com/gnutls/guile
Source0: https://ftpmirror.gnu.org/gnutls/%{name}-%{version}.tar.gz
Source1: https://ftpmirror.gnu.org/gnutls/%{name}-%{version}.tar.gz.sig
Source2: https://ftp.gnu.org/gnu/gnu-keyring.gpg

Requires:      guile22
BuildRequires: gcc make
BuildRequires: gnupg2
BuildRequires: gnutls-devel
BuildRequires: guile22-devel

Provides:  gnutls-guile = %{version}-%{release}
Obsoletes: gnutls-guile <= 3.7.8-4


%description
GnuTLS is a secure communications library implementing the SSL, TLS and DTLS
protocols and technologies around them. It provides a simple C language
application programming interface (API) to access the secure communications
protocols as well as APIs to parse and write X.509, PKCS #12, OpenPGP and
other required structures.
This package contains Guile bindings for the library.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
guile_snarf=%{_bindir}/guile-snarf2.2
GUILD=%{_bindir}/guild2.2
export guile_snarf GUILD

%configure \
    --with-guile-extension-dir=%{_libdir}/guile/2.2

%make_build


%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_infodir}/gnutls*
rm -f $RPM_BUILD_ROOT%{_libdir}/guile/2.2/guile-gnutls*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/guile/2.2/guile-gnutls*.la


%files
%license COPYING
%doc README ChangeLog AUTHORS NEWS
%{_libdir}/guile/2.2/guile-gnutls*.so*
%{_libdir}/guile/2.2/site-ccache/gnutls.go
%{_libdir}/guile/2.2/site-ccache/gnutls/extra.go
%{_datadir}/guile/site/2.2/gnutls.scm
%{_datadir}/guile/site/2.2/gnutls/extra.scm


%changelog
* Tue Feb 21 2023 John Doe <packager@example.com> - 3.7.11-1
- Uncommitted changes
